﻿@model List<Portal_Proveedor.Models.Administracion.UsuariosBloqueados>

<div class="row">
    <div class="col-md-6">
        <input class="form-control" id="busqueda3" type="text" placeholder="Buscar..">
    </div>
</div>

<table class="table">
    <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Usuario</th>
            <th scope="col">Correo electr&oacute;nico</th>
            <th scope="col">Bloqueado</th>
            <th scope="col">&Uacute;ltima fecha de bloqueo</th>
        </tr>
    </thead>
    <tbody id="tabla3">
        @foreach (var item in Model)
        {
            <tr>
                <th scope="row">
                    @Html.DisplayFor(m => item.consecutivo)
                </th>
                <td>@Html.DisplayFor(m => item.Usuario)</td>
                <td>@Html.DisplayFor(m => item.Email)</td>
                <td>@Html.DisplayFor(m => item.Bloqueado)</td>
                <td>@Html.DisplayFor(m => item.UltimaFechaBloqueo)</td>
                <td>
                    @if (item.Bloqueado)
                    {
                        <button ID="btnShowPopup" type="button" class="btn btn-info" OnClick="Desbloquear('@item.Usuario')" title="Seleccione para desbloquear al usuario">
                            <img src="~/Content/images/unlocked.png" />
                        </button>
                    }
                </td>
            </tr>
        }
    </tbody>


</table>

<script type="text/javascript">

    $(document).ready(function () {
        $("#busqueda3").on("keyup", function () {
            var value = $(this).val().toLowerCase();
            $("#tabla3 tr").filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
            });
        });
    });

  function Desbloquear(user) {
        $(function () {
            $.ajax({
                type: 'POST',
                url: '@Url.Action("DesbloquearUsuario")',
                dataType: 'json',
                data: { id: user },
                success: function (data) {
                    //Alerta("success", data.resultado);
                    //alert("desbloqueado");
                    window.location.href = "@Url.Action("UsuariosBloqueados")";
                },
                error: function () {
                    //Alerta("error", "Ha ocurrido un error!")
                    window.location.href = "@Url.Action("ReporteInicioSesion")";
                }
            });
        });
    };

</script>


